Vla-getinvisibleedge

提供: GizmoLabs - だいたい CAD LISP なサイト
移動先: 案内検索
構文
(vla-setinvisibleedge vla-object Index )


機能
指定されたインデックスでのエッジの表示状態を取得する。


引数
  • vla-object … 3DFace のVLAオブジェクト
  • Index … 設定するエッジを指定するインデックス。インデックスは、0 から 3 までのいずれかの数値。


戻り値
ブール型
  •  :vlax-True: エッジを非表示に設定する。
  •  :vlax-False: エッジを表示に設定する。


サンプル
(vl-load-com)
(defun c:Example_SetInvisibleEdge()
    ;; 3D face を作成して、最初のエッジ表示をトグルで切り替えるサンプル
    (setq acadObj (vlax-get-acad-object))
    (setq doc (vla-get-ActiveDocument acadObj))
  
    ;; x4マトリックスのフェイス定義
    (setq point1 (vlax-3d-point 1 1 0)
          point2 (vlax-3d-point 5 1 1)
          point3 (vlax-3d-point 5 5 1)
          point4 (vlax-3d-point 1 10 0))
    
    ;; 3DFace を作成
    (setq modelSpace (vla-get-ModelSpace doc))
    (setq faceObj (vla-Add3DFace modelSpace point1 point2 point3 point4))
    (vla-ZoomAll acadObj)
    
    ;; 現在の設定を取得
    (setq visStatus (vla-GetInvisibleEdge faceObj 0))
    (alert (strcat "現在の最初のフェースのエッジは  " (if (= visStatus :vlax-true) "表示。" "非表示。")))
    
    ;; トグルで変更
    (vla-SetInvisibleEdge faceObj 0 (if (= visStatus :vlax-true) :vlax-false :vlax-true))
    (vla-Regen doc :vlax-false)
    (alert (strcat "新しい最初のフェースのエッジは " (if (= (vla-GetInvisibleEdge faceObj 0) :vlax-true) "表示。" "非表示。")))
)

関連事項